# Extra Paragraph Types (EPT): Stats

Extra Paragraph Types: Stats module provides ability
to add Numbers with Text/Icons, Description and Title with WYSIWYG editor.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/ept_stats).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/ept_stats).


## Contents of this file

- Requirements
- Recommended modules
- Installation
- Configuration
- Troubleshooting
- SCSS compiling
- FAQ
- Maintainers


## Requirements

This module requires the following modules:
- [EPT Core](https://www.drupal.org/project/ept_core)
- [Paragraphs](https://www.drupal.org/project/paragraphs)

EPT Modules use Media module with Media Image type for background images.
Check Media Image type exists before install EPT Core module.


## Recommended modules

EPT modules provide ability to add different paragraphs in few clicks.
You can install separate paragraph types from this bunch of EPT modules:

- [EPT Accordion / FAQ](https://www.drupal.org/project/ept_accordion)
- [EPT Basic Button](https://www.drupal.org/project/ept_basic_button)
- [EPT Bootstrap Button](https://www.drupal.org/project/ept_bootstrap_button)
- [EPT Call to Action](https://www.drupal.org/project/ept_cta)
- [EPT Carousel](https://www.drupal.org/project/ept_carousel)
- [EPT Counter](https://www.drupal.org/project/ept_counter)
- [EPT Image Gallery](https://www.drupal.org/project/ept_image_gallery)
- [EPT Quote](https://www.drupal.org/project/ept_quote)
- [EPT Slick Slider](https://www.drupal.org/project/ept_slick_slider)
- [EPT Slideshow](https://www.drupal.org/project/ept_slideshow)
- [EPT Stats](https://www.drupal.org/project/ept_stats)
- [EPT Tabs](https://www.drupal.org/project/ept_tabs)
- [EPT Text](https://www.drupal.org/project/ept_text)
- [EPT Timeline](https://www.drupal.org/project/ept_timeline)
- [EPT Webform](https://www.drupal.org/project/ept_webform)
- [EPT Webform Popup](https://www.drupal.org/project/ept_webform_popup)

More about EPT paragraphs read on EPT Core module page
[EPT Core](https://www.drupal.org/project/ept_core)


## Installation

- Install as you would normally install a contributed Drupal module. Visit
  [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules) for further information.


## Configuration

Tab page field is working only for Page content type by default.
You should add another content types on
"Tab page settings for Tab" settings form:

`/admin/structure/paragraphs_type/ept_tab/fields/paragraph.ept_tab.field_ept_tab_page`

EPT Core has configuration form with Primary/Secondary colors
and Mobile/Tablet/Desktop breakpoints in
`Administration » Configuration » Content authoring »
Extra Paragraph Types (EPT) settings`

These configs will be applied to other EPT paragraphs by default.


## Troubleshooting

- If you see the error during EPT modules installation:
  "The EPT Carousel needs to be created "Image" media type.
  (Currently using Media type Image version Not created)"
  Then you need to create Image media type:
  `Structure » Media types » Add media type`


## SCSS compiling

You should install Nodejs and Gulp globally to compile SCSS for the module.

> npm install --global gulp-cli

Then run:

> npm install

and

> gulp watch


## FAQ

**Q: Can I use only one EPT paragraph type, for example EPT Slideshow,
without other modules?**

**A:** Yes, sure. EPT paragraph types tend to be standalone modules.
You can install only needed paragraph types.


## Maintainers

- [Ivan Abramenko](https://www.drupal.org/u/levmyshkin)
- [Narine Tsaturyan](https://www.drupal.org/u/narine_tsaturyan)
